GET
Suburb Information
http://127.0.0.1:2026/api/suburb/info
Retrieves basic geographical information about an Australian suburb, including administrative divisions.
Important: The suburb parameter must use the official naming convention.
You can retrieve the official name for a suburb from the List Suburbs API Endpoint.
You can retrieve the official name for a suburb from the List Suburbs API Endpoint.
Click to see documentation
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
suburb |
text | Required | The name of the suburb |
geojson |
boolean | Optional | Set to 'true' to include geometric shape data (default: false) |
Response Schema
| Field | Type | Description |
|---|---|---|
information |
object | Container for suburb information |
information.area_level |
string | Type of area (e.g., 'suburb') |
information.area_name |
string | Suburb name |
information.geo_divisions |
object | Administrative and statistical divisions |
information.geo_divisions.ced |
string | Electoral Division |
information.geo_divisions.cr |
string | City Region |
information.geo_divisions.gccsa |
string | Greater Capital City Statistical Area |
information.geo_divisions.lga |
string | Local Government Area |
information.geo_divisions.poa |
string | Postal Area (postcode) |
information.geo_divisions.sa2 |
string | Statistical Area Level 2 |
information.geo_divisions.sa3 |
string | Statistical Area Level 3 |
information.geo_divisions.sa4 |
string | Statistical Area Level 4 |
information.geo_divisions.sal |
string | Suburb and Locality |
information.geo_divisions.sed |
string | State Electoral Division |
information.geo_divisions.state |
string | Full state or territory name |
information.postcode |
string | Postal code |
information.state |
string | Full state or territory name |
information.state_abr |
string | State abbreviation (e.g., NSW, VIC) |
geometry |
object | GeoJSON boundary data (only included when geojson=true) |
Request Examples
cURL
Python
JavaScript
curl -X GET "http://127.0.0.1:2026/api/suburb/info?suburb=Belmont%20North" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json"
Response Example
Response
{
"information": {
"area_level": "suburb",
"area_name": "Belmont North",
"geo_divisions": {
"ced": "Shortland",
"cr": "Newcastle and Lake Macquarie",
"gccsa": "Rest of NSW",
"lga": "Lake Macquarie",
"poa": "2280",
"sa2": "Belmont - Bennetts Green",
"sa3": "Lake Macquarie - East",
"sa4": "Newcastle and Lake Macquarie",
"sal": "Belmont North",
"sed": "Swansea",
"state": "New South Wales"
},
"postcode": "2280",
"state": "New South Wales",
"state_abr": "NSW"
}
}